/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ctrl;

import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import sikd.ikonsol.ejb.session.LingkupDataEjbHome;
import sikd.ikonsol.model.LingkupData;


/**
 *
 * @author Imam Bhoim
 */
@ViewScoped
@Named(value = "lingkupDataBeanCtrl")
public class LingkupDataBeanCtrl implements Serializable {
    
    LingkupData ldata;
    private List<LingkupData> list;

    @EJB
    LingkupDataEjbHome ldataEjbHome;

    @PostConstruct
    public void init() {
        
            list = ldataEjbHome.findAll();
       
    }

    public LingkupData getLdata() {
        return ldata;
    }

    public void setLdata(LingkupData ldata) {
        this.ldata = ldata;
    }

    public List<LingkupData> getList() {
        return list;
    }

    public void setList(List<LingkupData> list) {
        this.list = list;
    }

    public LingkupDataEjbHome getLdataEjbHome() {
        return ldataEjbHome;
    }

    public void setLdataEjbHome(LingkupDataEjbHome ldataEjbHome) {
        this.ldataEjbHome = ldataEjbHome;
    }

   
    
}
